Bug 859234 - Previous limitation on re-running katello-configure is now allowed
Previous limitation on re-running katello-configure is now allowed
Status: CLOSED CURRENTRELEASE
Product: CloudForms Common
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: beta6
: ---
Assigned To: Athene Chan
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 16:58 EDT by Og Maciel
Modified: 2015-05-11 18:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 16:36:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-09-20 16:58:02 EDT
Description of problem:

As I was validating a test case, I came across https://bugzilla.redhat.com/show_bug.cgi?id=822671 which states that one should not be able to re-run katello-configure after the system has already been configured. This is no longer true and re-running katello-configure is allowed and supported.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run katello-configure --deployment=cfse more than once
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Lukas Zapletal 2012-09-21 09:17:07 EDT
I don't get it. What is actual and expected result? It should work. Is there an error?
Comment 3 Lukas Zapletal 2012-09-21 09:18:41 EDT
I apologize, this is a doco bug. Yes, katello configure can be now executed as many times as needed. It will "correct" everything according our configuration definition written in Puppet DSL.

It also has some new options. You can list them in the man page of katello-configure.
Comment 7 Lukas Zapletal 2012-10-15 08:16:50 EDT
I maybe would add a warning:

Warning: Katello-configure always replaces all the configuration files from templates. To see which files are replaces do

# rpm -ql katello-configure | grep erb
Comment 9 Athene Chan 2012-10-18 19:22:54 EDT
Available In:

http://documentation-devel.engineering.redhat.com/docs/en-US/CloudForms/1.1/html/Installation_Guide/Configuration_Options1.html

Changes:
1. We've added the options as well as the additional line "The command <command>katello-configure</command> can be run multiple times after initial configuration."

Options have been added on an earlier bug so the changes have already been added.

2.
<warning>
		<para>
			When run, <command>katello-configure</command> replaces all the configuration files with the standard templates. If the <application>System Engine</application> has customized configuration files, please back them up before running <command>katello-configure</command>.
		</para>
		<para>
			The following command will show you the files that will be replaced when you run the <command>katello-configure</command> command:
		</para>
		<screen>
# rpm -ql katello-configure | grep erb
</screen>
      </warning>
Comment 11 Lana Brindley 2012-11-18 21:40:48 EST
This documentation has now been dropped to translation ahead of publication. For any further issues, please open a new a bug.

LKB
Comment 12 Lana Brindley 2012-12-10 16:36:27 EST
This document is now publicly available on access.redhat.com. For any further issues, please raise a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.